describe('validate', function () {

    describe('#array', function () {

        function validate (schema, instance, done) {
            console.log(json.validate(schema, instance));
            done();
        }

        it('any', function (done) {
            var schema = {'type': 'any'},
                instance = [1,2,3];
            validate(schema, instance, done);
        });

        it('empty', function (done) {
            var schema = {'type': 'array'},
                instance = [];
            validate(schema, instance, done);
        });

        it('simple', function (done) {
            var schema = {'type': 'array'},
                instance = ['a', 'b', 'c'];
            validate(schema, instance, done);
        });

        it('min length', function (done) {
            var schema = {
                    'type': 'array',
                    'minLength': 1
                },
                instance = [1, 2];
            validate(schema, instance, done);
        });

        it('max length', function (done) {
            var schema = {
                    'type': 'array',
                    'maxLength': 9
                },
                instance = [1, 2, 3, 4, 5];
            validate(schema, instance, done);
        });

        it('min and max length', function (done) {
            var schema = {
                    'type': 'array',
                    'minLength': 1,
                    'maxLength': 9
                },
                instance = [1, 2, 3, 4, 5];
            validate(schema, instance, done);
        });

    });

});