describe('validate', function () {

    describe('#number', function () {

        function validate (schema, instance, done) {
            console.log(json.validate(schema, instance));
            done();
        }

        it('any', function (done) {
            var schema = {'type': 'any'},
                instance = 1.4142135;
            validate(schema, instance, done);
        });

        it('zero', function (done) {
            var schema = {'type': 'number'},
                instance = 0;
            validate(schema, instance, done);
        });

        it('simple', function (done) {
            var schema = {'type': 'number'},
                instance = 42;
            validate(schema, instance, done);
        });

        it('minimum', function (done) {
            var schema = {
                    'type': 'number',
                    'minimum': 18
                },
                instance = 19;
            validate(schema, instance, done);
        });

        it('maximum', function (done) {
            var schema = {
                    'type': 'number',
                    'maximum': 31
                },
                instance = 30;
            validate(schema, instance, done);
        });

        it('minimum and maximum', function (done) {
            var schema = {
                    'type': 'number',
                    'minimum': 0,
                    'maximum': 10
                },
                instance = 3;
            validate(schema, instance, done);
        });

    });

});