describe('validate', function () {

    describe('#string', function () {

        function validate (schema, instance, done) {
            console.log(json.validate(schema, instance));
            done();
        }

        it('any', function (done) {
            var schema = {'type': 'any'},
                instance = 'whatever';
            validate(schema, instance, done);
        });

        it('empty', function (done) {
            var schema = {'type': 'string'},
                instance = '';
            validate(schema, instance, done);
        });

        it('simple', function (done) {
            var schema = {'type': 'string'},
                instance = 'hello world';
            validate(schema, instance, done);
        });

        it('min length', function (done) {
            var schema = {
                    'type': 'string',
                    'minLength': 5
                },
                instance = '12345';
            validate(schema, instance, done);
        });

        it('max length', function (done) {
            var schema = {
                    'type': 'string',
                    'maxLength': 10 
                },
                instance = '123456789';
            validate(schema, instance, done);
        });

        it('min and max length', function (done) {
            var schema = {
                    'type': 'string',
                    'minLength': 5,
                    'maxLength': 9
                },
                instance = '1234567';
            validate(schema, instance, done);
        });

        it('pattern', function (done) {
            var schema = {
                    'type': 'string',
                    'pattern': 'a'
                },
                instance = 'a';
            validate(schema, instance, done);
        });

    });

});